mpc85xx_local_config_read
Prev | PPC32 support | Next

## Name

mpc85xx_local_config_read — Generate a MPC85xx local config space read

## Synopsis

`int mpc85xx_local_config_read (` | int | index,
| u32 | offset,
| int | len,
| u32 * | data`)`;

## Arguments

`index`

  ID of RapdiIO interface

`offset`

  Offset into configuration space

`len`

  Length (in bytes) of the maintenance transaction

`data`

  Value to be read into

## Description

Generates a MPC85xx local configuration space read. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
mpc85xx_rio_doorbell_send | Home | mpc85xx_local_config_write